package compbio.ws.jpred;

import javax.jws.WebService;

import org.apache.log4j.Logger;

import compbio.cassandra.CassandraNativeConnector;
import compbio.cassandra.readers.SequenceReader;

@WebService(endpointInterface = "compbio.ws.jpred.Jpred", targetNamespace = "http://server.proteocache.ws", serviceName = "ProteoCacheWS", portName = "ProteoCacheWSPort")
public class JpredWS implements Jpred {
	private static Logger log = Logger.getLogger(CassandraNativeConnector.class);

	@Override
	public String findSequence(String sequence, String program, String version) {
		CassandraNativeConnector dbconnector = new CassandraNativeConnector();
		SequenceReader reader = new SequenceReader();
		reader.setSession(dbconnector.getSession());
		log.debug("ProteoCacheWS is connected:\n search for sequence: " + sequence + "\ncalculated wih  " + program + " (version; "
				+ version + ")");
		if (null != reader.readProteins(sequence, "whole")) {
			return "The sequence " + sequence + " found. Calculated with " + program + "(" + version + ")";
		}
		return "The sequence " + sequence + " not found";
	}

}
